{
  "name": "wallet_app",
  "version": "1.0.2",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "updata": "node ./updataSetVersion.js",
    "s": "cross-env DAPP_BUILD=1 npx cap sync",
    "a": "npx cap run android --live-reload",
    "app": "npx cap run android --live-reload --host=192.168.0.70 --port=5173",
    "ios": "npx cap run ios --live-reload --host=192.168.0.59 --port=5173",
    "android": "npx cap add android && npm run icon && npx cap sync",
    "android:clean": "(cd android && ./gradlew clean)",
    "build": "vite build && npm run updata",
    "build:apk": "npm run s && cross-env DAPP_BUILD=1 npx cap copy  && (cd android && ./gradlew assembleRelease)",
    "build:apk:windows": "npm run s && cross-env DAPP_BUILD=1 npx cap copy  && .\\gradlew.bat build",
    "icon": "npx capacitor-assets generate --android",
    "preview": "vite preview"
  },
  "dependencies": {
    "@aparajita/capacitor-biometric-auth": "^9.0.0",
    "@capacitor/android": "^7.2.0",
    "@capacitor/app": "^7.0.1",
    "@capacitor/app-launcher": "^7.0.1",
    "@capacitor/barcode-scanner": "^2.0.3",
    "@capacitor/browser": "^7.0.1",
    "@capacitor/cli": "^7.2.0",
    "@capacitor/core": "^7.2.0",
    "@capacitor/device": "^7.0.1",
    "@capacitor/inappbrowser": "^2.2.0",
    "@capacitor/ios": "^7.2.0",
    "@capacitor/keyboard": "^7.0.1",
    "@capacitor/local-notifications": "^7.0.1",
    "@capacitor/push-notifications": "^7.0.1",
    "@capacitor/status-bar": "^7.0.1",
    "@capacitor/toast": "^7.0.1",
    "@capgo/capacitor-updater": "^7.8.7",
    "axios": "^1.10.0",
    "clipboard": "^2.0.11",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.13",
    "howler": "^2.2.4",
    "less": "^4.3.0",
    "less-loader": "^12.3.0",
    "lodash": "^4.17.21",
    "pinia": "^3.0.1",
    "pinia-plugin-persistedstate": "^4.4.1",
    "pinyin": "^4.0.0",
    "protobufjs": "^7.5.3",
    "qrcode.vue": "^3.6.0",
    "semver": "^7.7.2",
    "sharp": "^0.34.2",
    "typescript": "^5.8.3",
    "vant": "^4.9.20",
    "vconsole": "^3.15.1",
    "vue": "^3.5.13",
    "vue-i18n": "^11.1.9",
    "vue-router": "^4.5.0",
    "vuedraggable": "next",
    "web3": "^4.16.0"
  },
  "devDependencies": {
    "@capacitor/assets": "^3.0.5",
    "@vitejs/plugin-vue": "^5.2.3",
    "@vitejs/plugin-vue-jsx": "^5.0.1",
    "adm-zip": "^0.5.16",
    "code-inspector-plugin": "^0.20.12",
    "cordova-plugin-console": "^1.1.0",
    "cross-env": "^7.0.3",
    "fast-glob": "^3.3.3",
    "unplugin-auto-import": "^19.3.0",
    "vite": "^6.2.4",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-plugin-vue-devtools": "^7.7.2"
  }
}
